classification
Title: Fixing howto links in docs
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: SilentGhost, Winterflower, docs@python, orsenthil, python-dev
Priority: normal Keywords: needs review, patch

Created on 2015-12-20 11:17 by SilentGhost, last changed 2016-01-06 00:12 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
howto.diff SilentGhost, 2015-12-20 11:17 review
Messages (4)
msg256761 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2015-12-20 11:17
This patch changes links from wiki to howto part of docs.
msg257099 - (view) Author: Camilla Montonen (Winterflower) Date: 2015-12-27 20:56
Applied the patch to default branch and built the docs. 
The updated links work and I can't see any major problems in the immediate vicinity of the changes. 

This is a bit offtopic and unrelated to SilentGhost's change, but I noticed that some of the docpages fixed in this patch use both 'builtin' and 'built-in' and we should probably pick one and stick to it.
msg257330 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-02 07:27
New changeset 521a402ae177 by Senthil Kumaran in branch '3.4':
Issue25917 : Fix howto links in docs. Point the reference documentation instead of wiki.
https://hg.python.org/cpython/rev/521a402ae177

New changeset 6b9d8957aeef by Senthil Kumaran in branch '3.5':
merge from 3.4
https://hg.python.org/cpython/rev/6b9d8957aeef

New changeset 3a6b1186745f by Senthil Kumaran in branch 'default':
merge from 3.5
https://hg.python.org/cpython/rev/3a6b1186745f
msg257331 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-02 07:30
Thanks for the helpful, patch. I modified it to include only the faq.rst and functions.rst and applied it.
History
Date User Action Args
2016-01-06 00:12:06berker.peksagsetresolution: fixed
2016-01-02 07:30:06orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg257331

assignee: docs@python -> orsenthil
stage: patch review -> resolved
2016-01-02 07:27:48python-devsetnosy: + python-dev
messages: + msg257330
2015-12-27 20:56:48Winterflowersetnosy: + Winterflower
messages: + msg257099
2015-12-20 11:17:27SilentGhostcreate